/*
  Blikanie_LED_4s
  Program opakovane rozsvecuje a zhasina LED na pine PB0

  Kontaktne pole Breadboard: ATmega32, 1MHz interny oscilator
  Default FUSE: E1-99-XX-FF-BCBCBCBC
*/


#ifndef F_CPU
#define F_CPU 1000000UL
#endif

#include<avr/io.h>
#include<util/delay.h>


int main() {
  DDRB |= 1<<PB0;          // nastavi pin ako vystupny (1)
  
  while(1) {
	PORTB |= 1<<PB0;       // rozsvieti LED (nastavi 1)
    _delay_ms(4000);       // caka 4000ms (4s)
    PORTB &= ~(1<<PB0);    // zhasne LED (nastavi 0)
    _delay_ms(4000);       // caka 4000ms (4s)
  }
}

// lepsie by bolo pouzit iba PORTB ^= 1<<PB0;
// ale nech je vidno aj ako sa nastavuje 0

